package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.UploadEvaluationResultComposite;

/**
 * @Description: 上传评标结果
 * @author wangx
 */
public class UploadEvaluationResultAction extends Action{

	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		UploadEvaluationResultComposite compoiste = new UploadEvaluationResultComposite(composite, this, SWT.NONE);
		actionListener.loadComposite(this, compoiste);
	}
}
